
import java.awt.Graphics;

class Union extends Picture {

    private Picture p1, p2;

    Union(Picture p1, Picture p2) {
        this.p1 = p1;
        this.p2 = p2;
        this.ulx = Math.min(p1.ulx, p2.ulx);
        this.uly = Math.min(p1.uly, p2.uly);
        int x2 = Math.max(p1.ulx + p1.width, p2.ulx + p2.width);
        int y2 = Math.max(p1.uly + p1.height, p2.uly + p2.height);
        this.width = x2 - this.ulx;
        this.height = y2 - this.uly;
    }

    void draw(Graphics g) {
        this.p1.draw(g);
        this.p2.draw(g);
    }

    void move(int dx, int dy) {
        super.move(dx, dy); // pour mettre a jour ulx,uly
        this.p1.move(dx, dy);
        this.p2.move(dx, dy);
    }

}
